#include <bits/stdc++.h>
using namespace std;
char a,b;
int c,d;
int main(){
  cin>>a>>b>>c>>d;
  if(abs(c-d)>=2){
     cout<<"nemoguce"<<endl;
     return 0;
  }
  if(c==d){
     for(int i=1;i<=c;i++){
        cout<<a<<b;
     }
     cout<<endl;
     return 0;
  }
  if(c>d){
     cout<<a;
     for(int i=1;i<=d;i++){
     cout<<b<<a;
     }
     cout<<endl;
     return 0;
  }
  if(c<d){
     cout<<b;
     for(int i=1;i<=c;i++)cout<<a<<b;
     cout<<endl;
     return 0;
  }
    return 0;
}